<?php
$LIMPIAR=0;
$SYS_FOC="TxtNom";//++
//-------------------------------------------------------------------------
$StrNom=WW($_POST['TxtNom']);
$StrCon=WW($_POST['TxtCon']);
$StrDir=WW($_POST['TxtDir']);
$StrDis=WW($_POST['CboDis']);
$StrRuc=WW($_POST['TxtRuc']);
$StrDni=WW($_POST['TxtDni']);
$TipDoc=WW($_POST['TipDoc']);
$StrTel=WW($_POST['TxtTel']);	
$StrCel=WW($_POST['TxtCel']);	
$StrFax=WW($_POST['TxtFax']);	
$StrEma=WW($_POST['TxtEma']);	
$StrTip=WW($_POST['CboTip']);	
//
$UbiPai=WW($_POST['UbiPai']);
$UbiDep=WW($_POST['UbiDep']);
$UbiPro=WW($_POST['UbiPro']);
$UbiDis=WW($_POST['UbiDis']);
$Rnd=WW($_POST['Rnd']);
//-------------------------------------------------------------------------
$UbiCod="";
//-------------------------------------------------------------------------
PID($StrId,V($_GET['Id']),$StrCmd,$LStrPag,V($_GET['Pag']));
//-------------------------------------------------------------------------
if(strlen($StrId)>0 && $StrCmd=="AR"){
	$Id=$StrId;
	$StrNom=gs("NOMBRE","vclientes","ID=$Id");		
	$StrCon=gs("CONTACTO","vclientes","ID=$Id");		
	$StrDir=gs("DIRECCION","vclientes","ID=$Id");		
	$StrDis=gs("DISTRITO","vclientes","ID=$Id");		
	$StrRuc=gs("RUC","vclientes","ID=$Id");		
	$StrDni=gs("DNI","vclientes","ID=$Id");		
	$TipDoc=gs("SUN_DOC_TIP","vclientes","ID=$Id");		
	$StrTel=gs("TEL","vclientes","ID=$Id");		
	$StrCel=gs("CEL","vclientes","ID=$Id");		
	$StrFax=gs("FAX","vclientes","ID=$Id");		
	$StrEma=gs("EMAIL","vclientes","ID=$Id");		
	$StrTip=gs("TIPO","vclientes","ID=$Id");
	//
	$UbiPai=gs("UBI_PAI","vclientes","ID=$Id");
	$UbiDep=gs("UBI_DEP","vclientes","ID=$Id");
	$UbiPro=gs("UBI_PRO","vclientes","ID=$Id");
	$UbiDis=gs("UBI_DIS","vclientes","ID=$Id");
	$Rnd=gs("cli_rnd","clientes","id_cliente=$Id");
	//	
	$SYS_FOC="TxtNom";	
}
//-------------------------------------------------------------------------

if($StrCmd=="G" || $StrCmd=="M"){		
	$StrDis_=gn("id_distrito","distritos","dis_nombre='$StrDis'");
	$StrTip_=gn("id_clit","clientes_tipos","clit_nombre='$StrTip'");
	$TipDoc_=gn("id","sunat_catalogos","des='$TipDoc'");
	$UbiCod=gs("UBIGEO","lista_ubigeo",
			   "DEP='$UbiDep' AND PROV='$UbiPro' AND DIS='$UbiDis'");
	
}
//-------------------------------------------------------------------------

if($StrCmd=="G"){
	if(GetC("vclientes","NOMBRE='$StrNom'")>0){
		$SYS_MSG="Nombre del cliente ya esta registrado";
		$SYS_FOC="TxtNom";						
		$OK=0;
	}		
	/*
	if($OK==1){
		if(strlen($StrRuc)>0){
			if(GetC("vclientes","RUC='$StrRuc'")>0){
				$SYS_MSG="Numero de ruc ya registrado";
				$SYS_FOC="TxtRuc";						
				$OK=0;					
			}
		}
	}
	if($OK==1){
		if(strlen($StrDni)>0){
			if(GetC("vclientes","DNI='$StrDni'")>0){
				$SYS_MSG="Numero de dni ya registrado";
				$LStrFoc="document.getElementById('TxtDni').focus();";						
				$OK=0;					
			}
		}
	}
	*/
	if($OK==1){
		$Id=GenId("id_cliente","clientes");
		$s="INSERT INTO clientes VALUES ($Id,'$StrNom','$StrCon'
			,'$StrDir',$StrDis_,'$StrDni','$StrRuc','$StrTel'
			,'$StrCel','$StrFax','$StrEma',$StrTip_,$TipDoc_,
			'$UbiPai','$UbiDep','$UbiPro','$UbiDis','$UbiCod','$Rnd')";
		ejt($s);
		//BIT
		$_BIT_MOD_ID=$Id;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="sis_clientes.php";
		$_BIT_ID=BIT_ADD("MANTENIMIENTO","CLIENTES","GUARDAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT	
		$SYS_MSG="Datos registrados";
		$SYS_FOC="TxtNom";
		$LIMPIAR=1;
	}
}
if($StrCmd=="M"){
    if(strlen($StrRuc)==0 && strlen($StrDni)==0){
    	if(GetC("vclientes","NOMBRE='$StrNom' AND ID<>$StrId")>0){
    		$SYS_MSG="Nombre del cliente ya esta registrado";
    		$SYS_FOC="TxtNom";						
    		$OK=0;
    	}
    }
    /*
	if($OK==1){
		if(strlen($StrRuc)>0){
			if(GetC("vclientes","RUC='$StrRuc' AND ID<>$StrId")>0){
				$SYS_MSG="Numero de ruc ya registrado";
				$SYS_FOC="TxtRuc";						
				$OK=0;					
			}
		}
	}	
	if($OK==1){
		if(strlen($StrDni)>0){
			if(GetC("vclientes","DNI='$StrDni' AND ID<>$StrId")>0){
				$SYS_MSG="Numero de dni ya registrado";
				$LStrFoc="document.getElementById('TxtDni').focus();";						
				$OK=0;					
			}
		}
	}	
	*/
	if($OK==1){
		$s="UPDATE clientes 
			SET cli_nombre='$StrNom',cli_contacto='$StrCon'
			,cli_dir='$StrDir',cli_id_distrito=$StrDis_,cli_dni='$StrDni',
			cli_ruc='$StrRuc',cli_tel='$StrTel'
			,cli_cel='$StrCel',cli_fax='$StrFax',cli_email='$StrEma',
			cli_id_clit=$StrTip_ ,cli_id_tip_doc=$TipDoc_,
			cli_ubi_pai='$UbiPai', cli_ubi_dep='$UbiDep',
			cli_ubi_pro='$UbiPro',cli_ubi_dis='$UbiDis',
			cli_ubi_cod='$UbiCod',cli_rnd='$Rnd' WHERE id_cliente=$StrId";
		ejt($s);
		//BIT
		$_BIT_MOD_ID=$StrId;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="sis_clientes.php";
		$_BIT_ID=BIT_ADD("MANTENIMIENTO","CLIENTES","MODIFICAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT	
		$SYS_MSG="Datos actualizados";
		$SYS_FOC="TxtNom";		
		$LIMPIAR=1;		
	}
}
//-------------------------------------------------------------------------

if($StrCmd=="E"){		
	$R=CLI_VE($StrId);
	if($R=="VEN"){
		$SYS_MSG="No se puede eliminar. Una o mas ventas relacionadas";
		$SYS_FOC="TxtNom";						
		$OK=0;	
	}
	if($R=="COT"){
		$SYS_MSG="No se puede eliminar. Una o mas proformas relacionadas";
		$SYS_FOC="TxtNom";						
		$OK=0;	
	}

	if($OK==1){
		$s="DELETE FROM clientes WHERE id_cliente=$StrId";	
		ejt($s);
		//BIT
		$_BIT_MOD_ID=$StrId;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="sis_clientes.php";
		$_BIT_ID=BIT_ADD("MANTENIMIENTO","CLIENTES","ELIMINAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT	
		$SYS_MSG="Registro Eliminado";
		$SYS_FOC="TxtNom";
		$LIMPIAR=1;
	}
}
//-------------------------------------------------------------------------
if($StrCmd=="L"){$LIMPIAR=1;}
if($LIMPIAR==1){
	$StrId="";
	$StrNom="";
	$StrCon="";
	$StrDir="";
	$StrDis="";
	$StrRuc="";
	$StrDni="";
	$StrTel="";
	$StrCel="";
	$StrFax="";
	$StrEma="";
	$StrTip="";
	$TipDoc="";
	$UbiPai="";
	$UbiDep="";
	$UbiPro="";
	$UbiDis="";
	$Rnd="";
	$OK=0;
}
//-------------------------------------------------------------------------

?>